From a8b49ed8df676cae0f48b3369831edde2b74903e Mon Sep 17 00:00:00 2001
From: Gilles Caulier <caulier.gilles@gmail.com>
Date: Wed, 2 Oct 2024 21:20:03 +0000
Subject: [PATCH] With Qt 6.8.0, QUrl::operator== have benn removed. Uses
 QUrl::matches() instead

---
 core/libs/database/coredb/coredburl.cpp | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/core/libs/database/coredb/coredburl.cpp b/core/libs/database/coredb/coredburl.cpp
index cb76c144386..a06008e61cc 100644
--- a/core/libs/database/coredb/coredburl.cpp
+++ b/core/libs/database/coredb/coredburl.cpp
@@ -248,7 +248,16 @@ CoreDbUrl& CoreDbUrl::operator=(const CoreDbUrl& url)
 
 bool CoreDbUrl::operator==(const QUrl& digikamalbumsUrl) const
 {
+#if (QT_VERSION >= QT_VERSION_CHECK(6, 8, 0))
+
+    return (this->matches(digikamalbumsUrl, QUrl::None));
+
+#else
+
     return (QUrl::operator==(digikamalbumsUrl));
+
+#endif
+
 }
 
 /*
-- 
GitLab

